NFTs
Get NFT contract
Retrieve detailed information about an NFT contract including its metadata, statistics, and collection information.
GET
/
nft-contract
/
{contract_address}
Get NFT contract
curl --request GET \
--url https://public-api.voyager.online/beta/nft-contract/{contract_address} \
--header 'x-api-key: <api-key>'import requests
url = "https://public-api.voyager.online/beta/nft-contract/{contract_address}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://public-api.voyager.online/beta/nft-contract/{contract_address}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://public-api.voyager.online/beta/nft-contract/{contract_address}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://public-api.voyager.online/beta/nft-contract/{contract_address}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://public-api.voyager.online/beta/nft-contract/{contract_address}")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://public-api.voyager.online/beta/nft-contract/{contract_address}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"contractAddress": "0x0727a63f78ee3f1bd18f78009067411ab369c31dece1ae22e16f567906409905",
"contractType": 6,
"name": "Starkpunks",
"description": "Starkpunks launched as the first 10k NFTs collection on StarkNet in 2022.",
"symbol": "SPK",
"imageUrl": "https://cdn-a.voyager.online/0x0727a63f78ee3f1bd18f78009067411ab369c31dece1ae22e16f567906409905/contract_image/0x0727a63f78ee3f1bd18f78009067411ab369c31dece1ae22e16f567906409905_small.png",
"imageSmallUrl": "https://cdn-a.voyager.online/0x0727a63f78ee3f1bd18f78009067411ab369c31dece1ae22e16f567906409905/contract_image/0x0727a63f78ee3f1bd18f78009067411ab369c31dece1ae22e16f567906409905_small.png",
"imageLargeUrl": "https://cdn-a.voyager.online/0x0727a63f78ee3f1bd18f78009067411ab369c31dece1ae22e16f567906409905/contract_image/0x0727a63f78ee3f1bd18f78009067411ab369c31dece1ae22e16f567906409905_large.png",
"externalUrl": "https://twitter.com/starkpunks_nft",
"bannerUrl": null,
"createdAtBlockNumber": 16652,
"creatorAddress": "null",
"latestActivity": {
"tokenId": "7065",
"transactionHash": "0x6199b69e58562c7b729ef28f7cfa28505617b63223ed83713f0174a00232e3",
"timestamp": 1758867113,
"type": "Transfer"
},
"stats": {
"totalSupply": "10000",
"totalOwners": 12391
},
"isVerified": false
}{
"error": "<string>"
}{
"message": "Forbidden"
}{
"error": "<string>"
}{
"message": "Limit Exceeded"
}Authorizations
API key for authentication. Get your key at https://voyager.online/plans
Path Parameters
Opaque cursor returned by the previous response. Omit for the first request.
Maximum number of items to return. Defaults to 25.
Starknet contract address (0x-prefixed hex).
Pattern:
^(0x[0-9a-fA-F]{1,66})$Response
NFT contract details
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
Get NFT contract
curl --request GET \
--url https://public-api.voyager.online/beta/nft-contract/{contract_address} \
--header 'x-api-key: <api-key>'import requests
url = "https://public-api.voyager.online/beta/nft-contract/{contract_address}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://public-api.voyager.online/beta/nft-contract/{contract_address}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://public-api.voyager.online/beta/nft-contract/{contract_address}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://public-api.voyager.online/beta/nft-contract/{contract_address}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://public-api.voyager.online/beta/nft-contract/{contract_address}")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://public-api.voyager.online/beta/nft-contract/{contract_address}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"contractAddress": "0x0727a63f78ee3f1bd18f78009067411ab369c31dece1ae22e16f567906409905",
"contractType": 6,
"name": "Starkpunks",
"description": "Starkpunks launched as the first 10k NFTs collection on StarkNet in 2022.",
"symbol": "SPK",
"imageUrl": "https://cdn-a.voyager.online/0x0727a63f78ee3f1bd18f78009067411ab369c31dece1ae22e16f567906409905/contract_image/0x0727a63f78ee3f1bd18f78009067411ab369c31dece1ae22e16f567906409905_small.png",
"imageSmallUrl": "https://cdn-a.voyager.online/0x0727a63f78ee3f1bd18f78009067411ab369c31dece1ae22e16f567906409905/contract_image/0x0727a63f78ee3f1bd18f78009067411ab369c31dece1ae22e16f567906409905_small.png",
"imageLargeUrl": "https://cdn-a.voyager.online/0x0727a63f78ee3f1bd18f78009067411ab369c31dece1ae22e16f567906409905/contract_image/0x0727a63f78ee3f1bd18f78009067411ab369c31dece1ae22e16f567906409905_large.png",
"externalUrl": "https://twitter.com/starkpunks_nft",
"bannerUrl": null,
"createdAtBlockNumber": 16652,
"creatorAddress": "null",
"latestActivity": {
"tokenId": "7065",
"transactionHash": "0x6199b69e58562c7b729ef28f7cfa28505617b63223ed83713f0174a00232e3",
"timestamp": 1758867113,
"type": "Transfer"
},
"stats": {
"totalSupply": "10000",
"totalOwners": 12391
},
"isVerified": false
}{
"error": "<string>"
}{
"message": "Forbidden"
}{
"error": "<string>"
}{
"message": "Limit Exceeded"
}